Multiple Thrive Themes < 2.0.0 - Arbitrary File Upload

9.1
Unrestricted Upload of File with Dangerous Type
CVE CVE-2021-24220
CVSS 9.1 (Critical)
Publicly Published March 24, 2021
Last Updated January 22, 2024
Researcher Wordfence - Wordfence

Description

Thrive “Legacy” Rise by Thrive Themes WordPress theme before 2.0.0, Luxe by Thrive Themes WordPress theme before 2.0.0, Minus by Thrive Themes WordPress theme before 2.0.0, Ignition by Thrive Themes WordPress theme before 2.0.0, FocusBlog by Thrive Themes WordPress theme before 2.0.0, Squared by Thrive Themes WordPress theme before 2.0.0, Voice WordPress theme before 2.0.0, Performag by Thrive Themes WordPress theme before 2.0.0, Pressive by Thrive Themes WordPress theme before 2.0.0, Storied by Thrive Themes WordPress theme before 2.0.0 register a REST API endpoint to compress images using the Kraken image optimization engine. By supplying a crafted request in combination with data inserted using the Option Update vulnerability, it was possible to use this endpoint to retrieve malicious code from a remote URL and overwrite an existing file on the site with it or create a new file.This includes executable PHP files that contain malicious code.

Wordfence blocked 34,837 attacks targeting this vulnerability in the past 24 hours.

References

Share

10 affected software packages

Software Type Theme
Software Slug focusblog
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug ignition
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug luxe (view on wordpress.org)
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug minus
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug performag
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug pressive
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug rise (view on wordpress.org)
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug squared (view on wordpress.org)
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug storied
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0
Software Type Theme
Software Slug voice
Patched? Yes
Remediation Update to version 2.0.0, or a newer patched version
Affected Version
  • < 2.0.0
Patched Version
  • 2.0.0

Did you know Wordfence Intelligence provides free personal and commercial API access to our comprehensive WordPress vulnerability database, along with a free webhook integration to stay on top of the latest vulnerabilities added and updated in the database? Get started today!

Learn more

Want to get notified of the latest vulnerabilities that may affect your WordPress site?
Install Wordfence on your site today to get notified immediately if your site is affected by a vulnerability that has been added to our database.

Get Wordfence

The Wordfence Intelligence WordPress vulnerability database is completely free to access and query via API. Please review the documentation on how to access and consume the vulnerability data via API.

Documentation